require 'uu/os/rest/dto'

module UU
  module DigitalWorkspace
    module DigitalWorkspace
      class DigitalWorkspaceGetRecordList < UU::OS::REST::PagingCriteria

        # @see UU::DigitalWorkspace::DigitalWorkspace#get_active_record_list
        # @see UU::DigitalWorkspace::DigitalWorkspace#get_archive_record_list
        attr_accessor :query

        # @see UU::DigitalWorkspace::DigitalWorkspace#get_active_record_list
        # @see UU::DigitalWorkspace::DigitalWorkspace#get_archive_record_list
        attr_accessor :recursive

        def query
          attributes[:query]
        end

        def query=(val)
          attributes[:query] = val
        end

        def recursive
          attributes[:recursive]
        end

        def recursive=(val)
          attributes[:recursive] = val
        end
      end
    end
  end
end